{% extends 'news/base.html' %}

{% block title %}{{category.title}}{% endblock %}
{% block content %}

<section>
    <h1>poslednie novosti v kategorii: {{category.title}}</h1>
        <div class="row">
            {% for post in category.post_set.all %}
            <div class="col-md-4">
                <div class="card" style="width: 18rem;">
                  <a href="{{post.get_absolute_url}}">
                    {% if post.image.url !=null %}
                    <img src="{{post.image.url}}" class="card-img-top" alt="...">
                    {% endif %}
                  </a>  
                    <div class="card-body">
                      <h5 class="card-title">{{post.title}}</h5>
                      <a href="{{post.category.get_absolute_url}}">
                        <p class="card-title">{{post.category.title}}</p>
                      </a> 
                      <p class="card-text">{{post.summary}}</p>
                      <a href="#" class="btn btn-primary">Go somewhere</a>
                    </div>
                  </div>
            </div>
            {% endfor %}
        </div>   
</section>
{% endblock %}